package jrummikub.ai.fdsolver.constraint;

import java.util.Comparator;

import jrummikub.ai.fdsolver.Var;

public class GreaterThan<T extends Comparable<T>> extends
		ComparatorConstraint<T> {

	public GreaterThan(boolean allowEqual, Var<T> x, Var<T> y) {
		super(new Comparator<T>() {
			@Override
			public int compare(T o1, T o2) {
				return o2.compareTo(o1);
			}
		}, allowEqual, x, y);
	}
}
